Anyone have Photoshop CS working in Lion?

Discussion in 'Mac OS X Lion (10.7)' started by LABachlr, Jul 26, 2011.

  1. LABachlr macrumors newbie

    Joined:
    Jan 23, 2008
    #1
    I have Photoshop CS and don't want to lose it by upgrading to Lion. It says on RoaringApps that Photoshop CS 2 doesn't work in Lion, so I'm assuming the same results would occur when running Photoshop CS. Can anyone confirm or deny this?

    Apps incompatible with Mac OS X 10.7 Lion
     
  2. iLog.Genius macrumors 601

    iLog.Genius

    Joined:
    Feb 24, 2009
    Location:
    Toronto, Ontario
    #2
    It won't work because it was written for PowerPC. The earliest version of Photoshop that will work is CS3 - that goes most if not all Adobe applications, CS3 or later only.
     
  3. proimage1 macrumors newbie

    proimage1

    Joined:
    Jun 22, 2011
    #3
    I'm running Lion and I'm running PS CS 5 with no problems what so ever - you shouldn't have a problem either !
     
  4. marsmissions macrumors 6502

    marsmissions

    Joined:
    Jan 5, 2010
    Location:
    Washington, US
    #4
    Dead the post again and think about your answer.


    CS does not equal CS 5.
     
  5. LABachlr thread starter macrumors newbie

    Joined:
    Jan 23, 2008
    #5
    Actually, have an Intel Core 2 Duo Black Macbook running 10.6.8 (Snow Leopard) and PS CS runs perfectly fine. With that said, does that mean that there's a chance it will work fine in Lion?
     
  6. CaldwellYSR macrumors newbie

    Joined:
    Jul 25, 2011
    #6
    No it won't work in lion. CS was written for PowerPC and when Mac moved to intel they had Rosetta which would allow PowerPC applications to run on the intel Macs. Lion got rid of Rosetta so now anything developed for PowerPC won't work.
     
  7. LABachlr thread starter macrumors newbie

    Joined:
    Jan 23, 2008
    #7
    Good to know. Thanks! Guess I'll have to upgrade my Photoshop/Adobe Suite.
     
  8. LABachlr thread starter macrumors newbie

    Joined:
    Jan 23, 2008
    #8
    If speaking natively, you were right. Thanks.
     
  9. gugy macrumors 68030

    Joined:
    Jan 31, 2005
    Location:
    La Jolla, CA
  10. t0rr3s macrumors 6502

    t0rr3s

    Joined:
    Dec 23, 2010
    #10
    Duh!
     
  11. InuNacho macrumors 65816

    InuNacho

    Joined:
    Apr 24, 2008
    Location:
    In that one place
    #11
    Learn to read.
     
  12. jkcmac macrumors newbie

    Joined:
    Jul 25, 2011
    #12
    I'm using CS5 with lion also. after you have installed the CS5 you will need to update the Java Runtime. when you try to run the CS5 it will prompt you to download the java machine runtime.

    the only problem with CS5 are some of the plug-in cannot work with these version. hope those plug-in has a update soon.
     
  13. proimage1 macrumors newbie

    proimage1

    Joined:
    Jun 22, 2011
    #13
    Ok - I did - I see you noted CS 2 -- went to the roaring apps link and see that CS 2 is not compatible.

    You guys can be brutal at times :confused:
     
  14. walterwhite macrumors 6502

    walterwhite

    Joined:
    Jan 22, 2011
    Location:
    South Central PA
    #14
    Such is the atmosphere of a blog...
     

Share This Page